/**
 * Copyright (C) 2022 - Florindo Smilari (spherIC)
 */
package ch.spherIC.recurvebowsight.ui.calcsight;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;
import ch.spherIC.recurvebowsight.databinding.FragmentCalcsightSightsettingBinding;

public class CalculateSightSightSettingFragment extends Fragment {

    private FragmentCalcsightSightsettingBinding binding;

    public View onCreateView(@NonNull LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        CalculateSightSightSettingViewModel calculateSightSightSettingViewModel = new ViewModelProvider(this).get(CalculateSightSightSettingViewModel.class);
        binding = FragmentCalcsightSightsettingBinding.inflate(inflater, container, false);
        View root = binding.getRoot();

        final TextView textView = binding.textCalcsightSightsetting;
        calculateSightSightSettingViewModel.getText().observe(getViewLifecycleOwner(), textView::setText);
        return root;
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        binding = null;
    }
}